#ifndef __XFILES__
#define __XFILES__


typedef struct _liobuf
	{
	int
		thePointer;
	struct _liobuf
		*nextFile;
	} LFILE;

BOOLEAN InitFiles();
void UnInitFiles();

BOOLEAN FileExists(char *path,BOOLEAN *doesExist);

FILE *OpenReadFile(char *fname,int bufferSize);
FILE *OpenWriteFile(char *fname,int bufferSize);
FILE *OpenTranslatedReadFile(char *fname,int bufferSize);
FILE *OpenTranslatedWriteFile(char *fname,int bufferSize);
BOOLEAN CloseFile(FILE *fp);
ULONG GetFileSize(FILE *fp);
ULONG GetFilePos(FILE *fp);
BOOLEAN SetFilePos(FILE *fp,ULONG seek);
BOOLEAN ReadFile(FILE *fp,UBYTE *dest,ULONG count,ULONG *numRead);
BOOLEAN WriteFile(FILE *fp,UBYTE *src,ULONG count,ULONG *numWritten);
BOOLEAN GetLine(FILE *theFile,char *line,int lineLength,BOOLEAN *atEOF,BOOLEAN *overFlow);

/* low-level file stuff */

LFILE *OpenLReadFile(char *fname);
LFILE *OpenLWriteFile(char *fname);
LFILE *OpenLUpdateFile(char *fname);
BOOLEAN CloseLFile(LFILE *fp);
ULONG GetLFileSize(LFILE *fp);
ULONG GetLFilePos(LFILE *fp);
BOOLEAN SetLFilePos(LFILE *fp,ULONG seek);
BOOLEAN ReadLFile(LFILE *fp,UBYTE *dest,ULONG count,ULONG *numRead);
BOOLEAN WriteLFile(LFILE *fp,UBYTE *src,ULONG count,ULONG *numWritten);

#endif
